//  Picture.java - demonstrate rotating an image and displaying it

import java.awt.*;
import javax.swing.*;


public class Picture extends JFrame {

    private class PicturePanel extends JPanel {
        ImageIcon imageIcon = new ImageIcon("Patterson.jpg");
        int width  = imageIcon.getIconWidth();
        int height = imageIcon.getIconHeight();
        long angle = 10;
        int dx     = 100;

        public void paintComponent(Graphics g) {
            super.paintComponent(g);
            Graphics2D g2d = (Graphics2D) g;
            g2d.rotate(Math.toRadians(angle), dx + width / 2, dx + height / 2);
            g2d.drawImage(imageIcon.getImage(), dx, dx, this);
            g2d.dispose();
        }
    } //end class PicturePanel

    Picture() {
        super("** Patterson Hall **");
        JPanel picture = new PicturePanel();

        add(picture);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setBounds(100, 80, 800, 600);
        setVisible(true);
    }

    public static void main(String[] args) {
        new Picture();
    }

} // end class Picture
